Bug 476954 - [enh] Support POTS dialup connections
[enh] Support POTS dialup connections
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: FutureFeature
: 486671 525341 604496 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 04:47 EST by Mads Kiilerich
Modified: 2012-05-08 09:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 09:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 348330 None None None Never

  None (edit)
Description Mads Kiilerich 2008-12-18 04:47:45 EST
Description of problem:

NetworkManager doesn't handle modem connections. That might be Ok. NM integrates with old-style ifcfg configs, so it can be done "the old way" instead.

system-config-network allows me to create a modem connection and set NM_CONTROLLED=yes

BUT NetworkManager doesn't agree and complains:
nm-system-settings:    ifcfg-fedora: parsing /etc/sysconfig/network-scripts/ifcfg-xxx ... 
nm-system-settings:    ifcfg-fedora:     error: Unknown connection type 'Modem'

I would expect NM to show it in the dropdown, just like 'System eth0' does.


Version-Release number of selected component (if applicable):

system-config-network-1.5.94-2.fc10.noarch
NetworkManager-0.7.0-0.12.svn4326.fc10.i386
Comment 1 Dan Williams 2009-02-05 14:02:00 EST
Changing title to reflect the enhancement request.
Comment 2 Dan Williams 2009-04-08 22:26:44 EDT
*** Bug 486671 has been marked as a duplicate of this bug. ***
Comment 3 Edward J. Huff 2009-04-14 09:57:12 EDT
The same error arises for xDSL connections.  The /etc/sysconfig/network-scripts/ifcfg-* file contains "TYPE=xDSL".

Apr 14 08:48:27 zeta nm-system-settings:    ifcfg-rh:     read connection 'System eth0'
Apr 14 08:48:27 zeta nm-system-settings:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth1 ... 
Apr 14 08:48:27 zeta nm-system-settings:    ifcfg-rh:     read connection 'System eth1'
Apr 14 08:48:27 zeta nm-system-settings:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-verizon ... 
Apr 14 08:48:27 zeta nm-system-settings:    ifcfg-rh:     error: Unknown connection type 'xDSL'
Apr 14 08:48:27 zeta nm-system-settings:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 

/usr/src/debug/NetworkManager-0.7.0.99/system-settings/plugins/ifcfg-rh/reader.c

	type = svGetValue (parsed, "TYPE", FALSE);
[...]
	if (!strcasecmp (type, TYPE_ETHERNET))
		connection = wired_connection_from_ifcfg (filename, parsed, *ignored, error);
	else if (!strcasecmp (type, TYPE_WIRELESS))
		connection = wireless_connection_from_ifcfg (filename, parsed, *ignored, error);
	else {
		g_set_error (error, ifcfg_plugin_error_quark (), 0,
		             "Unknown connection type '%s'", type);
	}

As a result, the connection does not come up automatically.


[zeta@zeta ifcfg-rh]$ head --lines=10000 /etc/sysconfig/network-scripts/ifcfg*
==> /etc/sysconfig/network-scripts/ifcfg-eth0 <==
# Broadcom Corporation NetXtreme BCM5703X Gigabit Ethernet
DEVICE=eth0
BOOTPROTO=none
HWADDR=00:0b:cd:9d:2a:95
ONBOOT=yes
TYPE=Ethernet
USERCTL=no
IPV6INIT=yes
NM_CONTROLLED=yes
PEERDNS=no
NETMASK=255.255.255.0
IPADDR=192.168.197.10
DNS1=208.67.222.220
DNS2=208.67.222.222

==> /etc/sysconfig/network-scripts/ifcfg-eth1 <==
# Broadcom Corporation NetXtreme BCM5703X Gigabit Ethernet
DEVICE=eth1
HWADDR=00:0b:cd:9d:2a:94
ONBOOT=yes
BOOTPROTO=none
TYPE=Ethernet
USERCTL=no
PEERDNS=no
IPV6INIT=no
NM_CONTROLLED=yes
NETMASK=255.255.255.0
IPADDR=192.168.1.2
DNS1=208.67.222.220
DNS2=208.67.222.222

==> /etc/sysconfig/network-scripts/ifcfg-lo <==
DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0
# If you're having problems with gated making 127.0.0.0/8 a martian,
# you can change this to something else (255.255.255.255, for example)
BROADCAST=127.255.255.255
ONBOOT=yes
NAME=loopback

==> /etc/sysconfig/network-scripts/ifcfg-verizon <==
# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
TYPE=xDSL
DEVICE=ppp1
BOOTPROTO=dialup
USERCTL=no
PEERDNS=no
IPV6INIT=no
PIDFILE=/var/run/pppoe-adsl.pid
FIREWALL=NONE
PING=.
PPPOE_TIMEOUT=80
LCP_FAILURE=3
LCP_INTERVAL=20
CLAMPMSS=1412
CONNECT_POLL=6
CONNECT_TIMEOUT=60
IDLETIMEOUT=600
PERSIST=no
SYNCHRONOUS=no
DEFROUTE=yes
DEMAND=no
ONBOOT=yes
NM_CONTROLLED=yes
USER=username
ETH=eth1
PROVIDER=verizon
[zeta@zeta ifcfg-rh]$
Comment 4 Bug Zapper 2009-11-16 04:43:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Dan Williams 2010-04-13 19:19:47 EDT
*** Bug 525341 has been marked as a duplicate of this bug. ***
Comment 6 Dan Williams 2010-06-28 15:44:20 EDT
*** Bug 604496 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2010-11-04 07:36:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Dan Winship 2012-05-08 09:32:29 EDT
tracked upstream at https://bugzilla.gnome.org/show_bug.cgi?id=348330

Note You need to log in before you can comment on or make changes to this bug.